﻿var maxRund = 3;
var stRund = 0;
var iZmag = 0;
var rZmag = 0;
var jeDovoljeno = false;

/**
* Pripravi za novo igro.
*/
function novaIgra() {
  el = getEl('stRund');
  maxRund = el.value;
  stRund = 0;
  iZmag = 0;
  rZmag = 0;
  jeDovoljeno = true;
  el = getEl('Rezultati');
  el.innerHTML = '';
}

/**
* Vrne element s podamin ID-jem ali pa izpiše napako.
* @param string id  ID elementa.
* @return object    Najden element ali NULL.
*/
function getEl(id) {
  el = document.getElementById(id);
  if(el == null)
    alert('Prišlo je do napake, stran ne bo delovala pravilno!');
  return el;
}

/**
* Igralec naredi potezo, določi se zmagovalca runde.
* @param string sel   Izbran igralčev objekt.
*/
function izvediRundo(sel) {
  if(!jeDovoljeno) {
    alert('Izberi št. rund in klikni "Začni igro"!');
    return;
  }
  
  //računalnik naredi potezo
  rSel = Math.random()*3;
  if(rSel > 2) rSel = 'kamen';
  else if(rSel > 1) rSel = 'papir';
  else rSel = 'škarje';
  
  //dodatno: označim rač. izbiro
  rSel2 = rSel;
  switch(rSel2) {
    case "kamen": rSel2 = "Kamen"; break;
    case "papir": rSel2 = "Papir"; break;
    case "škarje": rSel2 = "Škarje"; break;
  }
  $("#Desni IMG").css('border','solid 4px transparent');
  $("#Desni IMG[alt='"+rSel2+"']").css('border','solid 4px red');
  
  //ugotovimo zmagovalca
  zmaga = 0;
  switch(sel) {
    case 'kamen':
      if(rSel == 'škarje') zmaga = 1;
      if(rSel == 'papir') zmaga = -1;
    break;
    case 'papir':
      if(rSel == 'kamen') zmaga = 1;
      if(rSel == 'škarje') zmaga = -1;
    break;
    case 'škarje':
      if(rSel == 'papir') zmaga = 1;
      if(rSel == 'kamen') zmaga = -1;
    break;
  }

  //izpis rezultata
  el = getEl('Rezultati');
  if(zmaga == 1) {
    iZmag++;
    zmaga = '<div class="iZmaga">' + sel + ' : ' + rSel + '</div>';
  }
  else if(zmaga == -1) {
    rZmag++;
    zmaga = '<div class="rZmaga">' + sel + ' : ' + rSel + '</div>';
  }
  else {
    zmaga = '<div class="Neodloceno">' + sel + ' : ' + rSel + '</div>';
  }
  el.innerHTML+= zmaga;

  //ali je konec
  stRund++;
  if(stRund == maxRund) {
    //izpišem končni rezultat
    if(iZmag > rZmag) zmaga = 'Zmagal je: igralec<br />';
    else if(iZmag < rZmag) zmaga = 'Zmagal je: računalnik<br />';
    else zmaga = 'Neodločeno<br />';
    el.innerHTML+= '<div class="Konec">' + zmaga + iZmag + " : " + rZmag +'</div>';
    jeDovoljeno = false;
  }
}

